## Class Swift_Events_SendEvent

(line 19)

## Description

    Swift_Events_EventObject
       |
       --Swift_Events_SendEvent

Located in File: /vendors/swiftMailer/classes/Swift/Events/SendEvent.php

##### Generated when a message is being sent.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:
RESULT_FAILED
RESULT_PENDING
RESULT_SUCCESS
RESULT_TENTATIVE

#### RESULT_FAILED = 0x1000 (line 32)

##### Sending failed

#### RESULT_PENDING = 0x0001 (line 23)

##### Sending has yet to occur

#### RESULT_SUCCESS = 0x0010 (line 26)

##### Sending was successful

#### RESULT_TENTATIVE = 0x0100 (line 29)

##### Sending worked, but there were some failures

## Method Detail

Summary:
Swift_Events_SendEvent __construct (Swift_Transport $source, Swift_Mime_Message $message)
string[] getFailedRecipients ()
Swift_Mime_Message getMessage ()
int getResult ()
Swift_Transport getTransport ()
void setFailedRecipients (array $recipients)
int setResult ( $result)

#### Constructor __construct (line 63)

#### Swift_Events_SendEvent __construct( Swift_Transport $source, Swift_Mime_Message $message)

Overrides : Swift_Events_EventObject::__construct() Create a new EventObject originating at $source.

##### Create a new SendEvent for $source and $message.

#### Parameters

- Swift_Transport $source:
- Swift_Mime_Message $message:

#### Info

- access - public

#### Method getFailedRecipients (line 102)

#### string[] getFailedRecipients( )

##### Get an recipient addresses which were not accepted for delivery.

#### Info

- access - public

#### Method getMessage (line 84)

#### Swift_Mime_Message getMessage( )

##### Get the Message being sent.

#### Info

- access - public

#### Method getResult (line 122)

#### int getResult( )

##### Get the result of this Event.

The return value is a bitmask from RESULT_PENDING, RESULT_SUCCESS, RESULT_TENTATIVE, RESULT_FAILED

#### Info

- access - public

#### Method getTransport (line 75)

#### Swift_Transport getTransport( )

##### Get the Transport used to send the Message.

#### Info

- access - public

#### Method setFailedRecipients (line 93)

#### void setFailedRecipients( array $recipients)

##### Set the array of addresses that failed in sending.

#### Parameters

- array $recipients:

#### Info

- access - public

#### Method setResult (line 111)

#### int setResult( $result)

##### Set the result of sending.

#### Parameters

- $result:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Events_EventObject

#### Swift_Events_EventObject::__construct() - Create a new EventObject originating at $source.

#### Swift_Events_EventObject::bubbleCancelled() - Returns true if this Event will not bubble any further up the stack.

#### Swift_Events_EventObject::cancelBubble() - Prevent this Event from bubbling any further up the stack.

#### Swift_Events_EventObject::getSource() - Get the source object of this event.

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3